Bug 74234 - [Accessibility] Writer: Paragraphs formatted with heading 1 ... Heading 6 styles aren't exposed as Heading accessibles
Summary: [Accessibility] Writer: Paragraphs formatted with heading 1 ... Heading 6 sty...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: a11y-Windows
  Show dependency treegraph
 
Reported: 2014-01-30 16:24 UTC by Marco Zehe
Modified: 2014-11-06 00:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Zehe 2014-01-30 16:24:00 UTC
1. Enable IAccessible2 support and run NVDA.
2. Create a new Writer document.
3. Type a paragraph and format it with Heading 1 style.

Expected: Paragraph should be exposed with the properties of a Heading level x (x corresponding to the level chosen in the Styles). NVDA should say "Heading level 1" or the like, followed by the text.
Actual: Unless bitten by bug 74232, NVDA just reads the text, but not any heading info.

NVDA does speak the heading information in OpenOffice 4.1.0 snapshots. Maybe this helps.
Comment 1 Marco Zehe 2014-01-30 18:47:11 UTC
This works for me in the January 30, 2014 4.3.0-dev build. Closing as WorksForMe.
Comment 2 V Stuart Foote 2014-01-31 01:04:07 UTC
@Marco,

Reopening. Same rational as for bug 74232

On Windows 7 sp1, 64-bit with NVDA (2013.2) AT and AccProbe monitoring.
Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

I can confirm that the 4.2.0.4 does not correctly assign an accessible role of 'heading'. 

I also confirm that it has been corrected in builds of master.
Version: 4.3.0.0.alpha0+
Build ID: a904aa609dddb80a44cf34a5e4299efe0dc2c49f
TinderBox: Win-x86@39, Branch:master, Time: 2014-01-30_05:15:33

Will check both bug 74232 and this bug against the TB 42 build of 4.2.1 branch and see if patch has already been back ported. Will close if they have.
Comment 3 V Stuart Foote 2014-01-31 01:20:10 UTC
On Windows 7 sp1, 64-bit with NVDA (2013.2) and AccProbe monitoring IAccessible2

Verified this has not yet been patched on the 4.2 branch.

Version: 4.2.1.0.0+
Build ID: 9a19e8d838753128504274e1885eb3ce8ec1dbb8
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-01-30_00:20:59
Comment 4 Marco Zehe 2014-02-16 07:49:41 UTC
This is still a problem in LibreOffice Version: 4.2.1.1
Build-ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b
Comment 5 Marco Zehe 2014-03-06 16:15:12 UTC
This is still a problem in LibreOffice Version: 4.2.2.1
Build-ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f

See bug 74232 comment #9 for a call for help that someone experienced with the code look into what is missing in the 4.2.x branch that makes stuff work in 4.3-dev.
Comment 6 Joel Madero 2014-11-06 00:32:04 UTC
4.2 is EOL - if I understand this correctly it's fixed in 4.3 and was just looking for a backport. No one did a bibisect or tracked it down in time. Closing as WFM.

If I read this wrong please set to NEW and explain what else can be done. Again 4.2 is EOL so that point is moot.

Thanks all!